<!DOCTYPE html>
<html lang="es">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Peticion AJAX con fetch</title>
</head>
<body>
<script>

/** ES6 Promises example **/
function runAnimation(position){
  console.log('Moving to position...', position);
};

function delay(interval){
  return new Promise(function(resolve) {
    setTimeout(resolve, interval);
  });
};

runAnimation(0);
delay(1000)
  .then(function() {
    runAnimation(1);
    return delay(1000);
  })
  .then(function() {
    runAnimation(2);
  });

</script>
</body>
</html>
